
%if 0%{?with_debug}
# https://bugzilla.redhat.com/show_bug.cgi?id=995136#c12
%global _dwz_low_mem_die_limit 0
%else
%global debug_package   %{nil}
%endif

%global _name	operator-registry
%global package_name	    github.com/operator-framework/%{_name}
%global golang_version      1.15.9

Name:           %{_name}
Version:        1.16.1
Release:        1%{?dist}
Summary:	    Operator Registry runs in a Kubernetes to provide operator catalog data to Operator Lifecycle Manager.
License:        Apache 2.0
Url:            https://github.com/operator-framework/operator-registry
Source:         %{name}-%{version}.tar.bz2
Vendor:         Oracle America
BuildRequires:  golang >= %{golang_version}
Requires:       sqlite

%description
Operator registries are constructed out of a set of container images that describe individual operator manifests.  These registries are deployed as services inside the Kubernetes cluster where OLM is running.

%prep
%setup -q -n %{name}-%{version}

%build
export GOPATH=$(go env GOPATH)
GOPATH_SRC=$GOPATH/src/%{package_name}
%__mkdir_p $GOPATH_SRC
%__rm -r $GOPATH_SRC
%__ln_s $PWD $GOPATH_SRC

pushd $GOPATH_SRC
cd ${GOPATH_SRC}
GIT_REVISION=eb9fff5
BUILD_DATE=${BUILD_DATE:-$(date -u +'%Y-%m-%dT%H:%M:%SZ')}
GO_VERSION=$(go version | sed -e 's/^[^0-9.]*\([0-9.]*\).*/\1/')
make SOURCE_GIT_COMMIT=${GIT_VERSION} SOURCE_GIT_TAG=v%{version} build
CGO_ENABLED=0 go build -mod=vendor -tags netgo -ldflags "-w" ./vendor/github.com/grpc-ecosystem/grpc-health-probe/...
%{_builddir}/%{name}-%{version}/bin/opm version
popd
mv %{_builddir}/%{name}-%{version}/grpc-health-probe %{_builddir}/%{name}-%{version}/bin/grpc_health_probe

%install
install -d -m 755 %{buildroot}%{_bindir}
install -p -m 755 -t %{buildroot}%{_bindir}/ %{_builddir}/%{name}-%{version}/bin/*

%files
%{_bindir}/grpc_health_probe
%{_bindir}/opm
%{_bindir}/initializer
%{_bindir}/appregistry-server
%{_bindir}/configmap-server
%{_bindir}/registry-server
%license LICENSE THIRD_PARTY_LICENSES.txt
%doc README.md

%clean
rm -fr %{buildroot}
rm -fr %{_builddir}/%{name}-%{version}

%changelog
* Wed Feb 10 2021 Olcne-Builder Jenkins <olcne-builder_us@oracle.com> - 1.16.1-1
- Added Oracle Specific Build Files.
